<?php
namespace admin\controls;

class Layouts
{  
  public static function layout_delete()
  {
    global $user;
    if( !\admin\factory\Users::check_privileges( 'template_administration', $user['id']))
             return \S::alert('Nie masz uprawnień');
    
    if ( \admin\factory\Layouts::layout_delete( \S::get( 'id' ) ) )
              \S::alert( 'Szablon został usunięty.' );
    
    header( 'Location: /admin/layouts/view_list/' );
    exit;
    
  }
  
  public static function layout_save()
  {
    global $user;
    if( !\admin\factory\Users::check_privileges( 'template_administration', $user['id']))
             return \S::alert('Nie masz uprawnień');
    
    $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania szablonu wystąpił błąd. Proszę spróbować ponownie.' ];
    $values   = \S::json_to_array( \S::get( 'values' ) );

    if ( $id = \admin\factory\Layouts::layout_save( $values['id'], $values['name'], $values['status'], $values['pages'], $values['html'], $values['css'], $values['js'], $values['m_html'], $values['m_css'], $values['m_js'] ) )
              $response = [ 'status' => 'ok', 'msg' => 'Szablon został zapisany.', 'id' => $id ];

    echo json_encode( $response );
    exit;    
  }
  
  public static function layout_edit()
  {
    global $user;
    if( !\admin\factory\Users::check_privileges( 'template_administration', $user['id']))
             return \S::alert('Nie masz uprawnień');
      
    return \admin\view\Layouts::layout_edit( 
              \admin\factory\Layouts::layout_details( 
                \S::get( 'id' ) 
              ),
              \admin\factory\Layouts::menus_list()
            );    
  }
  
  public static function view_list()
  {
    global $user;
    if( !\admin\factory\Users::check_privileges( 'template_administration', $user['id']))
             return \S::alert('Nie masz uprawnień');
    
    return \admin\view\Layouts::layouts_list();
  }
}
?>